clang 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::threadSafety::lexpr::Or Class Reference

`#include "clang/Analysis/Analyses/ThreadSafetyLogical.h"`

Inheritance diagram for clang::threadSafety::lexpr::Or:
[legend]
Collaboration diagram for clang::threadSafety::lexpr::Or:
[legend]

## Public Member Functions
| Or (LExpr *LHS, LExpr *RHS)
Public Member Functions inherited from clang::threadSafety::lexpr::BinOp
const LExpr * | left () const
LExpr * | left ()
const LExpr * | right () const
LExpr * | right ()
Public Member Functions inherited from clang::threadSafety::lexpr::LExpr
Opcode | kind () const
bool | implies (const LExpr *RHS) const
| Logical implication. More...

## Static Public Member Functions
static bool | classof (const LExpr *E)

## Additional Inherited Members
Public Types inherited from clang::threadSafety::lexpr::LExpr
enum | Opcode { Terminal, And, Or, Not }
Protected Member Functions inherited from clang::threadSafety::lexpr::BinOp
| BinOp (LExpr *LHS, LExpr *RHS, Opcode Code)
Protected Member Functions inherited from clang::threadSafety::lexpr::LExpr
| LExpr (Opcode Kind)

## Detailed Description

Definition at line 76 of file ThreadSafetyLogical.h.

## Constructor & Destructor Documentation

## ◆ Or()

clang::threadSafety::lexpr::Or::Or | ( | LExpr * | LHS,
|  | LExpr * | RHS
| ) |  |
| inline

Definition at line 78 of file ThreadSafetyLogical.h.

## Member Function Documentation

## ◆ classof()

static bool clang::threadSafety::lexpr::Or::classof | ( | const LExpr * | E | ) |
| inline static

Definition at line 80 of file ThreadSafetyLogical.h.

References clang::threadSafety::lexpr::LExpr::kind(), and clang::threadSafety::lexpr::LExpr::Or.

The documentation for this class was generated from the following file:

- include/clang/Analysis/Analyses/ThreadSafetyLogical.h